# std::forward_list<T,Allocator>::empty

From cppreference.com
< cpp‎ | container‎ | forward list

bool empty() const noexcept; |  | (since C++11)

Checks if the container has no elements, i.e. whether begin() == end().

### Parameters

(none)

### Return value

true if the container is empty, false otherwise.

### Complexity

Constant.

### Example

The following code uses `empty` to check if a std::forward_list <int> contains any elements:

Run this code

    #include <forward_list>
    #include <iostream>

    int main()
    {
        std::forward_list<int> numbers;
        std::cout << std::boolalpha;
        std::cout << "Initially, numbers.empty(): " << numbers.empty() << '\n';

        numbers.push_front(42);
        numbers.push_front(13317);
        std::cout << "After adding elements, numbers.empty(): " << numbers.empty() << '\n';
    }

Output:

    Initially, numbers.empty(): true
    After adding elements, numbers.empty(): false

### See also

distance | returns the distance between two iterators (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/forward_list/empty&oldid=156304"